import 'package:dart_psr/dart_psr.dart';

void main(List<String> arguments) => identityExample();

Future<void> identityExample() async {
  print('Identity');
  var psr = ProtonSigningRequest('https://jungle2.cryptolions.io', 'v1',
      chainName: ChainName.EOS_JUNGLE2);

  var permission = IdentityPermission()
    ..actor = 'testname1111'
    ..permission = 'active';

  var identity = Identity()..identityPermission = permission;
  String callback = "https://cNallback.com";

  var encoded = await psr.encodeIdentity(identity, callback);
  var decoded = psr.deserialize(encoded);

  print('encoded : ' + encoded);
  print('decoded : ' + decoded.toString());
}
